# Uses of Class
org.eclipse.jface.text.source.ContentAssistantFacade

Packages that use ContentAssistantFacade
Package
Description
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of ContentAssistantFacade in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return ContentAssistantFacade
Modifier and Type
Method
Description
`ContentAssistantFacade`
ISourceViewerExtension4.`getContentAssistantFacade()`
Returns a facade for this viewer's content assistant.
`final ContentAssistantFacade`
SourceViewer.`getContentAssistantFacade()`
Returns a facade for this viewer's content assistant.

## Uses of ContentAssistantFacade in org.eclipse.ui.texteditor

Constructors in org.eclipse.ui.texteditor with parameters of type ContentAssistantFacade
Modifier
Constructor
Description
``
`KeyBindingSupportForAssistant(ContentAssistantFacade contentAssistFacade)`
Deprecated, for removal: This API element is subject to removal in a future version.
As of 3.5, this is a NOP since the framework installs this now